
Name: mp3splt
Summary: Command line utility to split mp3 and ogg files
Summary(de): Kommandozeilen Programm teilt MP3- und Ogg Vorbis-Dateien
Version: 2.6.2
Release: %mkrel 2
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Group: Sound
License: GPL
URL: http://mp3splt.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: oggvorbis-devel 
BuildRequires: mad-devel 
BuildRequires: libmp3splt-devel >= 0.8.2
Requires:      %{_lib}mp3splt0 >= 0.8.2
Obsoletes: %name < %version


%description
Mp3Splt is a command line utility to split MP3 (VBR supported) and Ogg Vorbis
files between a beginning and an end time position, without decoding.

It's very useful to split large mp3/ogg to make smaller files or to split
entire albums to obtain original tracks. If you want to split an album, you can
select split points and filenames manually or you can get them automatically
from CDDB (internet or a local file) or from .cue files. Supports also
automatic silence split, that can be used also to adjust cddb/cue splitpoints.

Otherwise if you have a file created either with Mp3Wrap or AlbumWrap you can
extract tracks just in few seconds.

%description -l de
Teilt MP3- und Ogg Vorbis-Dateien ohne Rekodierung Mp3Splt ist ein Kommandozeilenprogramm, 
um MP3- (VBR wird unterstützt) und Ogg Vorbis-Dateien ohne Dekodierung in kleinere Dateien 
aufzuteilen. Es ist nützlich, um Alben entweder manuell, mittels freedb.org-Daten oder über 
.cue-Dateien aufzuteilen und ermöglicht sowohl ein längenbasiertes Aufteilen als auch über 
Momente der Stille innerhalb der Datei. . Es kann einfach mit Mp3Wrap (aus dem Paket mp3wrap) 
erstellte Dateien oder im AlbumWrap-Format erstellte Dateien extrahieren 
- <http://www.infamus.com/albumwrap/> . 
Webseite: http://mp3splt.sourceforge.net/

%prep
%setup -q

%build
%configure2_5x \
 --enable-oggsplt_symlink \
 --enable-flacsplt_symlink \
 --disable-rpath

%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man1/mp3splt.*
%{_mandir}/man1/oggsplt.*
%{_mandir}/man1/flacsplt.*
%{_datadir}/locale

%changelog
* Tue Jul 30 2019 tex - 2.6.2-2pclos2019
- rebuild against updates

* Fri Nov 24 2014 ghostbunny <ghostbunny at gmx dot de> 2.6.2-1pclos2014
- 2.6.2

* Thu Jul 24 2014 ghostbunny <ghostbunny at gmx dot de> 2.6.1a-1pclos2014
- 2.6.1a

* Sat May 03 2014 ghostbunny <ghostbunny at gmx dot de> 2.6.1-1pclos2014
- 2.6.1
- add flacsplt support

* Sat Apr 20 2013 Ken <lxgator at gmail dot com> 2.5.2-1pclos2013
- 2.5.2

* Mon May 14 2012 Neal <nealbrks0 at gmail dot com> 2.4.2-1pclos2012
- removed %{_lib} macro from libmp3split
- process

* Mon May 14 2012 ghostbunny <ghostbunny at gmx dot de> 2.4.2-1pclos2012
- 2.4.2
- added %{_lib} macro

* Fri Aug 19 2011 Texstar <texstar at gmail.com> 2.4-1pclos2011
- 2.4

* Sun Mar 06 2011 Texstar <texstar at gmail.com> 2.3a-1pclos2011
- 2.3a

* Fri Oct 30 2009 slick50 <lxgator@gmail.com> 2.2.7-1pclos2010
- 2.2.7


